Get Catalog Items Using GET 1
Returns a paginated list of catalog items.
Sorting criteria in the format: property (asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Number of records you want to skip
1
Number of records you want
1
Whether or not to return detailed project data for each result.
A list of project IDs. Results will belong to one of these projects.
Matches will have this string somewhere in their name or description.
A list of Catalog Item Type IDs. Results will be one of these types.
OK
{
"createdAt": "string",
"createdBy": "string",
"description": "string",
"iconId": "string",
"id": "string",
"lastUpdatedAt": "string",
"lastUpdatedBy": "string",
"name": "string",
"projectIds": [
"string"
],
"projects": [
{
"id": "string",
"link": "string",
"name": "string"
}
],
"sourceId": "string",
"sourceName": "string",
"type": {
"id": "string",
"link": "string",
"name": "string"
}
}
Creation time
Created By
CatalogItem description
Icon ID
CatalogItem id
Update time
Updated By
CatalogItem name
Associated project IDs that can be used for requesting
Json schema describing request parameters, a simplified version of http://json-schema.org/latest/json-schema-validation.html#rfc.section.5
LibraryItem source ID.
LibraryItem source name.
Unauthorized